### Method

# Gtk Builderget_type_from_name

#### Declaration [src]

    GType
    gtk_builder_get_type_from_name (
      GtkBuilder* builder,
      const char* type_name
    )

#### Description [src]

Looks up a type by name.

This is using the virtual function that `GtkBuilder` has for that purpose. This is mainly used when implementing the `GtkBuildable` interface on a type.

#### Parameters

`type_name`

  Type: `const char*`

  Type name to lookup.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GType`

The `GType` found for `type_name` or `G_TYPE_INVALID` if no type was found.